CC = gcc
CFLAGS = -g -Wall -I../include
TGLLIB = ../lib/libTinyGL.a -L../lib -lTinyGL
LIBS   = -L/usr/X11R6/lib -lX11 -lXext -lm

PROGS = simple gears

all: $(PROGS)


simple: glut.o simple.o
	$(CC) glut.o simple.o -o simple $(TGLLIB) $(LIBS) 

gears: glut.o gears.o
	$(CC) glut.o gears.o -o gears $(TGLLIB) $(LIBS) 

.c.o:
	$(CC) $(CFLAGS) -c $*.c

clean:
	rm -f *.o $(PROGS)
